###################################################
### chunk number 1: 
###################################################
library(MLPAstats)


###################################################
### chunk number 2: 
###################################################
gui.mlpa()


###################################################
### chunk number 3: 
###################################################
#	data(BRCA)
data(BRCA)
Ms<-list()
Ms$mlpa$arg.mlpa$cont.dat<-BRCAcontrols
Ms$mlpa$arg.mlpa$test.dat<-BRCAcases
Ms$mlpa$arg.mlpa$size.dat<-size
Ms$mlpa$arg.mlpa$probe.dat<-reference.probes


###################################################
### chunk number 4: 
###################################################
attach(Ms$mlpa$arg.mlpa)
Ms$mlpa$mlpa.dat<-setupMLPA(cont.dat,test.dat,size.dat,probe.dat)
detach(Ms$mlpa$arg.mlpa)


###################################################
### chunk number 5: 
###################################################
getInfo()



###################################################
### chunk number 6: 
###################################################
getProbes()
getProbesControl()


###################################################
### chunk number 7: 
###################################################
getPeaks("C5q31", "controls")
getPeaks("C5q31", "tests")


###################################################
### chunk number 8: 
###################################################
getSize()


###################################################
### chunk number 9: 
###################################################
path <- system.file("data", "BRCAcases.txt", package = "MLPAstats")
path


###################################################
### chunk number 10: 
###################################################
Ms$norm$norm.dat<-mlpaNorm(Ms$mlpa$mlpa.dat,method="slope.correction", rep=FALSE)
Ms$norm$type<-"slope.correction"
Ms$norm$rep<-"FALSE"


###################################################
### chunk number 11: 
###################################################
getInfo()


###################################################
### chunk number 12: 
###################################################
# plot(getNormalize())


###################################################
### chunk number 13: 
###################################################
Ms$analysis$analysis.config$method<-"threshold"
Ms$analysis$analysis.config$bands<-"parametric"
Ms$analysis$analysis.config$alpha<-0.05
Ms$analysis$analysis.config$norm<- c(paste(Ms$norm$type,"; rep=",Ms$norm$rep))
Ms$analysis$analysis.res<-mlpa(Ms$norm$norm.dat,Ms$analysis$analysis.config$method)


###################################################
### chunk number 14: 
###################################################
Ms$analysis$analysis.config$method<-"REX-MLPA"
Ms$analysis$analysis.config$bands<-"parametric"
Ms$analysis$analysis.config$alpha<-0.05
Ms$analysis$analysis.config$norm<- c(paste(Ms$norm$type,"; rep=",Ms$norm$rep))
Ms$analysis$analysis.res<-mlpa(Ms$norm$norm.dat,Ms$analysis$analysis.config$method)


###################################################
### chunk number 15: 
###################################################
getInfo()


###################################################
### chunk number 16: 
###################################################
getConfig() 


###################################################
### chunk number 17: 
###################################################
getResults() 


###################################################
### chunk number 18: 
###################################################
plot(getResults())


###################################################
### chunk number 19: 
###################################################
data(BRCA)


###################################################
### chunk number 20: 
###################################################
mlpa.dat<-setupMLPA(BRCAcontrols,BRCAcases,size,reference.probes)


###################################################
### chunk number 21: 
###################################################
norm.dat<-mlpaNorm(Ms$mlpa$mlpa.dat,method="sum.peaks.controls") 


###################################################
### chunk number 22: 
###################################################
plot(norm.dat)


###################################################
### chunk number 23: 
###################################################
ans<-mlpa(norm.dat,"REX-MLPA")
plot(ans)


###################################################
### chunk number 24: 
###################################################
ans


